[Bug server/25084] New: HAVE_UST code needs to be updated

cbiesinger at google dot com sourceware-bugzilla@sourceware.org
Tue Oct 8 17:57:00 GMT 2019


https://sourceware.org/bugzilla/show_bug.cgi?id=25084

            Bug ID: 25084
           Summary: HAVE_UST code needs to be updated
           Product: gdb
           Version: HEAD
            Status: UNCONFIRMED
          Severity: normal
          Priority: P2
         Component: server
          Assignee: unassigned at sourceware dot org
          Reporter: cbiesinger at google dot com
  Target Milestone: ---

The UST code in gdbserver needs to be updated to work with the current version
of lttng-ust. One obvious difference is that the include files are now at
lttng/ust.h whereas the code expects them at ust/ust.h. This change seems to
have happened in 2011:

https://github.com/lttng/lttng-ust/commit/4318ae1be57eb7983ab4857a7a8eeb4a030a8216

However, it seems there are other API differences as well.

-- 
You are receiving this mail because:
You are on the CC list for the bug.


More information about the Gdb-prs mailing list